%define debug_package %{nil}
%define mybuildnumber %{?build_number}%{?!build_number:1}

Summary:        A daemon to expose CEC functionality on the D-Bus session bus
Name:           cec-dbus-bridge
Version:        0.0.6
Release:        %{mybuildnumber}%{?dist}
License:        GPL
Group:          System administration tools
Source:         %{name}-%{version}.tar.gz
URL:            https://github.com/Rudd-O/cec-dbus-bridge
BuildRequires:  make golang libcec-devel

%description
cec-dbus-bridge allows you to control devices connected via HDMI through
the CEC functionality exposed over D-Bus by it.

%prep
%autosetup

%build
make

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr

%files
%defattr(-,root,root)
%attr(0755, root, root) %{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/com.ruddo.CEC1.service
%doc %{_docdir}/%{name}*

%changelog
* Tue Jan 14 2020 Manuel Amador <rudd-o@rudd-o.com> 0.0.1-1
- First RPM packaging release
